Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Invoice
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
    • Collections
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
        POST
      • GetInvoicesByOrganization
        GET
      • GetInvoiceById
        GET
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
  1. Invoice

CreateInvoices

POST
/orgs/{organizationId}/invoices
Endpoints for organization management operations

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢202
application/json
Accepted
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request POST '/orgs/{{CollectionApi:OrganizationId:MerNorwayAs}}/invoices' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "invoices": [
    {
      "type": "NOTICE",
      "invoiceNumber": "{{$number.int(min=1,max=100000)}}",
      "vat": true,
      "fees": true,
      "originalInvoiceAmount": 1000,
      "currency": "NOK",
      "invoiceDate": "{{$date.now|addDays(-30)|format('\''yyyy-MM-dd'\'')}}",
      "dueDate": "{{$date.now|addDays(-14)|format('\''yyyy-MM-dd'\'')}}",
      "collectionNoticeDate": null,
      "ocrReferenceNumber": "{{$number.int(min=10000000000,max=99999999999)}}",
      "uniqueSourceInvoiceId": "{{$string.uuid}}",
      "description": "Test fra apidog",
      "debtors": [
        {
          "type": "PRIVATE",
          "firstname": "{{$person.firstName}}",
          "lastname": "{{$person.lastName}}",
          "customerNumber": "{{$number.int(min=10000,max=99999)}}",
          "identificationNumber": "11229902271",
          "dateOfBirth": "2000-01-01",
          "emails": [
            {
              "value": "{{$internet.exampleEmail}}"
            }
          ],
          "phoneNumbers": [
            { 
              "value": "+4741453317"
            }
          ],
          "addresses": [
            {
              "street": "{{$location.streetAddress(locale='\''nb_NO'\'')}}",
              "city": "{{$location.city(locale='\''nb_NO'\'')}}",
              "zipCode": "{{$location.zipCode(locale='\''nb_NO'\'')}}",
              "countryCode": "no"
            }
          ]
        }
      ],
      "claims": [
        {
          "type": "PRINCIPAL",
          "remainingAmount": 1000,
          "description": "Hovedstol test fra apidog"
        }
      ]
    }
  ]
}'
Response Response Example
{
    "summary": {
        "status": "SUCCESS"
    },
    "data": {
        "batchId": "ae257e86-dc53-4865-9c97-5b125a3a5ac2",
        "batchUrl": "https://api.amili.no/collection/v1/batches/ae257e86-dc53-4865-9c97-5b125a3a5ac2"
    }
}
Modified at 2026-03-19 14:10:22
Previous
CreateCorrections
Next
GetInvoicesByOrganization
Built with